function autocopy_saveOptions()
{
    var autocopyPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("autocopy.");


    autocopyPrefs.setBoolPref("optPasteOnMiddleClick", document.getElementById("autocopyPasteOnMiddleClick").checked);
    autocopyPrefs.setBoolPref("optDeselectAfterCopy", document.getElementById("autocopyDeselectAfterCopy").checked);
    autocopyPrefs.setBoolPref("optStatusBar", document.getElementById("autocopyStatusBarButton").checked);
    autocopyPrefs.setBoolPref("optEditMenuItem", document.getElementById("autocopyEditMenuItem").checked);
    autocopyPrefs.setBoolPref("optContextMenuItem", document.getElementById("autocopyContextMenuItem").checked);
    autocopyPrefs.setBoolPref("optEnableInTextBoxes", document.getElementById("autocopyEnableInTextBoxes").checked);
    autocopyPrefs.setBoolPref("optCopyWithoutFormating", document.getElementById("autocopyCopyWithoutFormating").checked);
    autocopyPrefs.setBoolPref("optStatusbarBlink", document.getElementById("autocopyStatusbarBlink").checked);
    autocopyPrefs.setBoolPref("optContextMenu", document.getElementById("autocopyContextMenu").checked);
    autocopyPrefs.setIntPref("optContextMenuHideTimeout", document.getElementById("autocopyContextMenuHideTimeout").value);


    autocopyPrefs.setBoolPref("optKeyboardShortcutEnabled", document.getElementById("autocopyKeyboardShortcutEnabled").checked);

    autocopyPrefs.setBoolPref("optKeyboardShortcutKeyAccel", document.getElementById("autocopyKeyboardShortcutKeyAccel").checked);
    autocopyPrefs.setBoolPref("optKeyboardShortcutKeyMeta", document.getElementById("autocopyKeyboardShortcutKeyMeta").checked);
    autocopyPrefs.setBoolPref("optKeyboardShortcutKeyCtrl", document.getElementById("autocopyKeyboardShortcutKeyCtrl").checked);
    autocopyPrefs.setBoolPref("optKeyboardShortcutKeyShift", document.getElementById("autocopyKeyboardShortcutKeyShift").checked);
    autocopyPrefs.setBoolPref("optKeyboardShortcutKeyAlt", document.getElementById("autocopyKeyboardShortcutKeyAlt").checked);
    autocopyPrefs.setCharPref("optKeyboardShortcutKey", document.getElementById("autocopyKeyboardShortcutKey").value);

}


//Initialize options
function autocopy_initializeOptions()
{
    var autocopyPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("autocopy.");

    document.getElementById("autocopyPasteOnMiddleClick").checked = autocopyPrefs.getBoolPref("optPasteOnMiddleClick");
    document.getElementById("autocopyDeselectAfterCopy").checked = autocopyPrefs.getBoolPref("optDeselectAfterCopy");
    document.getElementById("autocopyStatusBarButton").checked = autocopyPrefs.getBoolPref("optStatusBar");
    document.getElementById("autocopyEditMenuItem").checked = autocopyPrefs.getBoolPref("optEditMenuItem");
    document.getElementById("autocopyContextMenuItem").checked = autocopyPrefs.getBoolPref("optContextMenuItem");
    document.getElementById("autocopyEnableInTextBoxes").checked = autocopyPrefs.getBoolPref("optEnableInTextBoxes");
    document.getElementById("autocopyCopyWithoutFormating").checked = autocopyPrefs.getBoolPref("optCopyWithoutFormating");
    document.getElementById("autocopyStatusbarBlink").checked = autocopyPrefs.getBoolPref("optStatusbarBlink");
    document.getElementById("autocopyContextMenu").checked = autocopyPrefs.getBoolPref("optContextMenu");
    document.getElementById("autocopyContextMenuHideTimeout").value = autocopyPrefs.getIntPref("optContextMenuHideTimeout");

    document.getElementById("autocopyKeyboardShortcutEnabled").checked = autocopyPrefs.getBoolPref("optKeyboardShortcutEnabled");

    document.getElementById("autocopyKeyboardShortcutKeyAccel").checked = autocopyPrefs.getBoolPref("optKeyboardShortcutKeyAccel");
    document.getElementById("autocopyKeyboardShortcutKeyMeta").checked = autocopyPrefs.getBoolPref("optKeyboardShortcutKeyMeta");
    document.getElementById("autocopyKeyboardShortcutKeyCtrl").checked = autocopyPrefs.getBoolPref("optKeyboardShortcutKeyCtrl");
    document.getElementById("autocopyKeyboardShortcutKeyShift").checked = autocopyPrefs.getBoolPref("optKeyboardShortcutKeyShift");
    document.getElementById("autocopyKeyboardShortcutKeyAlt").checked = autocopyPrefs.getBoolPref("optKeyboardShortcutKeyAlt");
    document.getElementById("autocopyKeyboardShortcutKey").value = autocopyPrefs.getCharPref("optKeyboardShortcutKey");

    if(navigator.vendor.match(/Firefox/i))
    {
	    document.getElementById("autocopyEditMenuItem").setAttribute("hidden", false);
	    document.getElementById("autocopyContextMenuItem").setAttribute("hidden", false);
    }
    else
    {
	    document.getElementById("autocopyEditMenuItem").setAttribute("hidden", true);
	    document.getElementById("autocopyContextMenuItem").setAttribute("hidden", true);
    }
}

function autocopy_validateContextTimeout()
{
	eliment = document.getElementById("autocopyContextMenuHideTimeout");
	if (isNaN(parseInt(eliment.value)) || eliment.value < 0 )
      	return false;      
	else
		//return valid      
		return true;
}
